Bug 1274933 - [abrt] gnome-shell: crtc_assignment_assign(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: crtc_assignment_assign(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0b3b3a216a8df457e2c88d832fd...
:
: 1348064 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 19:45 EDT by Ahmed M. Farrag
Modified: 2016-12-20 10:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:08:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.88 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: core_backtrace (9.73 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: dso_list (25.64 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: environ (1.47 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: maps (131.97 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: open_fds (4.12 KB, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details
File: var_log_messages (438 bytes, text/plain)
2015-10-23 19:46 EDT, Ahmed M. Farrag
no flags Details

  None (edit)
Description Ahmed M. Farrag 2015-10-23 19:45:57 EDT
Version-Release number of selected component:
gnome-shell-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: crtc_assignment_assign
executable:     /usr/bin/gnome-shell
global_pid:     3564
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 crtc_assignment_assign at backends/meta-monitor-config.c:1822
 #1 real_assign_crtcs at backends/meta-monitor-config.c:1979
 #3 meta_monitor_config_assign_crtcs at backends/meta-monitor-config.c:2015
 #4 apply_configuration at backends/meta-monitor-config.c:895
 #5 meta_monitor_config_restore_previous at backends/meta-monitor-config.c:1557
 #11 g_object_notify_by_spec_internal at gobject.c:1154
 #12 g_object_notify at gobject.c:1202
 #18 g_object_notify_by_spec_internal at gobject.c:1154
 #19 g_object_notify at gobject.c:1202
 #20 up_client_glue_proxy_g_properties_changed at up-client-glue.c:1348

Potential duplicate: bug 1226937
Comment 1 Ahmed M. Farrag 2015-10-23 19:46:04 EDT
Created attachment 1085986 [details]
File: backtrace
Comment 2 Ahmed M. Farrag 2015-10-23 19:46:05 EDT
Created attachment 1085987 [details]
File: cgroup
Comment 3 Ahmed M. Farrag 2015-10-23 19:46:07 EDT
Created attachment 1085988 [details]
File: core_backtrace
Comment 4 Ahmed M. Farrag 2015-10-23 19:46:10 EDT
Created attachment 1085989 [details]
File: dso_list
Comment 5 Ahmed M. Farrag 2015-10-23 19:46:12 EDT
Created attachment 1085990 [details]
File: environ
Comment 6 Ahmed M. Farrag 2015-10-23 19:46:13 EDT
Created attachment 1085991 [details]
File: exploitable
Comment 7 Ahmed M. Farrag 2015-10-23 19:46:15 EDT
Created attachment 1085992 [details]
File: limits
Comment 8 Ahmed M. Farrag 2015-10-23 19:46:21 EDT
Created attachment 1085993 [details]
File: maps
Comment 9 Ahmed M. Farrag 2015-10-23 19:46:23 EDT
Created attachment 1085994 [details]
File: mountinfo
Comment 10 Ahmed M. Farrag 2015-10-23 19:46:25 EDT
Created attachment 1085995 [details]
File: open_fds
Comment 11 Ahmed M. Farrag 2015-10-23 19:46:26 EDT
Created attachment 1085996 [details]
File: proc_pid_status
Comment 12 Ahmed M. Farrag 2015-10-23 19:46:28 EDT
Created attachment 1085997 [details]
File: var_log_messages
Comment 13 lennart_reuther 2016-01-11 04:54:22 EST
Another user experienced a similar problem:

putting in/out multiple screens (2 + internal display)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm --wayland --display-server
crash_function: crtc_assignment_assign
executable:     /usr/bin/gnome-shell
global_pid:     7983
kernel:         4.3.3-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 14 Abhay Kadam 2016-06-20 01:11:19 EDT
*** Bug 1348064 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2016-11-24 07:53:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:08:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.